Skip to Content

Post Installation Tasks after Oracle DB Update to patch set 10.2.0.4

Hello gurus,

I´m doing the installation of a system ECC 6.0 + Oracle DB on Red Hat Enterprise Linux 5.

The sapinst stopped, at phase 8, asking to install the Oracle database... and so I did that, I installed Oracle DB and after that I update the patch set to 10.2.0.4 version.

But now I´m faccing with a problem which related with "Post Installation Tasks" after I finished the update of Oracle 10.2.0.1 to 10.2.0.4.

In README file (which are in the package of patch set file) it describe what I have to do after this installation patch set and one of this tasks is "Manually Upgrading a Release 10.2 Database" :

Complete the following sections to upgrade an Oracle Database 10g release 10.2.0.x to Oracle Database 10g release 10.2.0.4:

1.Run the Pre-Upgrade Information Tool

2.Upgrading a Release 10.2 Database

3.Missing Components When Upgrading

When I try to run the second point of that: "Upgrading a Release 10.2 Database" I found this following error:

redhatsap:orajmd> sqlplus /nolog
SQL> connect /as sysdba
Connected to an idle instance
SQL> STARTUP UPGRADE
ORA-01078: failure in processing system parameters
LRM-00109: could not open parameter file '/oracle/JMD/102_64/dbs/initJMD.ora'

Note: Take into account this... before I doing that, I already start the Oracle Listener with command > lsnrctl start I don´t knew but I thought this was the solution for the error.

So, my question is how can I solve this, I mean, what I have to do to run that comand STARTUP UPGRADE and the others that is mandatory in this phase of post installation of patch set 10.2.0.4. And in your opinion what is necessary to do after this update patch set!??

Best regards,

João Dimas - Portugal

Add a comment
10|10000 characters needed characters exceeded

Assigned Tags

Related questions

2 Answers

  • Best Answer
    Posted on Apr 11, 2010 at 09:27 PM

    Hello João,

    I´m doing the installation of a system ECC 6.0 + Oracle DB on Red Hat Enterprise Linux 5.

    Ok, so you have no database until now.

    The sapinst stopped, at phase 8, asking to install the Oracle database... and so I did that, I installed Oracle DB and after that I update the patch set to 10.2.0.4 version.

    Perfect, but please don't forget the on-top patches for 10.2.0.4 (check sapnote #1137346 for details).

    But now I´m faccing with a problem which related with "Post Installation Tasks" after I finished the update of Oracle 10.2.0.1 to 10.2.0.4.

    You only have to do this "Post Installation Tasks", if you already have a database. In your case the database will be created after phase 8 - no need to perform the post steps.

    Regards

    Stefan

    Add a comment
    10|10000 characters needed characters exceeded

    • Former Member João Dimas

      Hi Expers,

      Could you pease specify how to set the Parameters after apply the MO Patch . I followed the Note as well but iam not getting understand exactly .. Could you please send the detail steps to set the parameters. Eagerly waiting for your reply.

      Many thanks

      Mai.

  • author's profile photo Former Member
    Former Member
    Posted on Apr 20, 2010 at 10:47 AM

    Dear jmgmad

    redhatsap:orajmd> sqlplus /nolog

    SQL> connect /as sysdba

    Connected to an idle instance

    SQL> STARTUP UPGRADE

    ORA-01078: failure in processing system parameters

    LRM-00109: could not open parameter file '/oracle/JMD/102_64/dbs/initJMD.ora'

    Check Permissions of parameter file '/oracle/JMD/102_64/dbs/initJMD.ora'

    BR,

    Darshan

    Add a comment
    10|10000 characters needed characters exceeded

    • Former Member João Dimas

      Dear Jmgmad,

      When you installed oracle patch before installation of database there is no post upgrade task required.

      Post upgrade task is required if you upgrade oracle patch 10.2.0.4 on currently running server (ex ecc6 on 10.2.0.2 to 10.2.0.4).

      So try to restart installation phase by stoping sapinst & run with old installation.

      also check lsnrctl start --> version should be 10.2.0.4.

      BR,

      Darshan

Before answering

You should only submit an answer when you are proposing a solution to the poster's problem. If you want the poster to clarify the question or provide more information, please leave a comment instead, requesting additional details. When answering, please include specifics, such as step-by-step instructions, context for the solution, and links to useful resources. Also, please make sure that you answer complies with our Rules of Engagement.
You must be Logged in to submit an answer.

Up to 10 attachments (including images) can be used with a maximum of 1.0 MB each and 10.5 MB total.